DIFF3(1)

NAVN
diff3 - sammenlign tre filer linje for linje

SYNOPSIS
diff3 [TILVLAG]... MINFIL GAMMELFIL DINFIL

BESKRIVELSE
Sammenlign tre filer linje for linje.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-A, --show-all
    udskriv alle ændringer, med konflikter i parenteser

-e, --ed
    udskriv et ed-script som udfører ændringerne fra GAMMELFIL til DINFIL ind i MINFIL

-E, --show-overlap
    som -e, men sæt konflikter i parentes

-3, --easy-only
    som -e, men inkludér kun ikke-overlappende ændringer

-x, --overlap-only
    som -e, men inkludér kun overlappende ændringer

-X  som -x, men sæt konflikter i parenteser

-i  tilføj "w" og "q"-kommandoer til ed-script

-m, --merge
    udskriv faktisk flettet fil ifølge -A hvis ingen andre tilvalg er givet

-a, --text
    behandl alle filer som tekst

--strip-trailing-cr
    fjern afsluttende vognretur i inddata

-T, --initial-tab
    få tabulatorer på linje ved at forudstille en tabulator

--diff-program=PROGRAM
    brug PROGRAM til at sammenligne filerne

-L, --label=MÆRKAT
    brug MÆRKAT frem for filnavn (kan gentages op til tre gange)

--help
    vis denne hjælpetekst og afslut

-v, --version
    vis versionsinformation og afslut

Som standard bruges et rimelig læsevenligt udskriftsformat til repræsentation af ændringerne.

Tilvalgene -e, -E, -x, -X (og de tilsvarende lange) får et ed-script til at blive udskrevet frem for standardopførslen.

Endelig får tilvalget -m (--merge) diff3 til at flette internt, og udskrive den faktiske flettede fil. Til usædvanlige inddata er dette mere robust end med ed.

Såfremt en FIL er "-" eller mangler, læses fra standard-ind. Slutstatus er 0 hvis succes, 1 hvis der er konflikter, 2 hvis der er problemer.

FORFATTER
Skrevet af Randy Smith.

FEJLRAPPORTER
Raporter programfejl på engelsk til <bug-diffutils@gnu.org>.
Hjemmeside for GNU diffutils: <https://www.gnu.org/software/diffutils/>
Generel hjælp til GNU-programmer: <https://www.gnu.org/gethelp/>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
cmp(1), diff(1), sdiff(1)

Hele dokumentationer for diff3 bliver vedligeholdt som en Texinfo-manual. Hvis info og diff3 programmerne er korrekt installeret på din maskine vil komandoen

    info diff3

give dig adgang til den fulde manual.

OVERSÆTTELSE
Oversættere af denne manual til dansk

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.